Warning: \float@addtolists detected

Fragen und Probleme, die nicht den obigen Kategorien zugeordnet werden können


update.freak
Forum-Fortgeschrittener
Forum-Fortgeschrittener
Beiträge: 71
Registriert: Mo 9. Dez 2019, 21:36

Warning: \float@addtolists detected

Beitrag von update.freak »

Hallo zusammen,

bei meinem Dokumente bekomme ich aktuell noch die Fehlermeldung

Code: Alles auswählen

\float@addtolists detected!(scrreprt) Implementation of \float@addtolist became(scrreprt) deprecated in KOMA-Script v3.01 2008/11/14 and(scrreprt) has been replaced by several more flexible(scrreprt) features of package `tocbasic`.
Wenn ich auf die Meldung klicke, komme ich an die Stelle

Code: Alles auswählen

\addchap{Symbole}
Weiß jemand woran das liegen könnte.
Falls mehr Infos benötigt werden (z.B. komplette Präambel) einfach schreiben

Gast

Beitrag von Gast »

Du verwendest vermutlich ein Paket, das noch eine veraltete KOMA-Script-Schnittstelle verwendet. In der vollständigen Warnung steht übrigens auch, was man häufig (aber nicht immer) gegen diese Warnung hilft. Falls dein Editor nicht in der Lage ist, die Warnung komplett und unverfälscht anzuzeigen, schau in die log-Datei. Das steht sie drin. Wenn es nicht hilft, bleibt nur, den entsprechenden Paketautoren zu bitten, stattdessen die neue Schnittstelle zu unterstützen.

update.freak
Forum-Fortgeschrittener
Forum-Fortgeschrittener
Beiträge: 71
Registriert: Mo 9. Dez 2019, 21:36

Beitrag von update.freak »

im log steht folgendes:

Code: Alles auswählen

\openout2 = `content/abkuerzungsverzeichnis.aux'.


(./content/abkuerzungsverzeichnis.tex
chapter without number

Class scrreprt Warning: \float@addtolists detected!
(scrreprt)              Implementation of \float@addtolist became
(scrreprt)              deprecated in KOMA-Script v3.01 2008/11/14 and
(scrreprt)              has been replaced by several more flexible
(scrreprt)              features of package `tocbasic`.
(scrreprt)              Since Version 3.12 support for deprecated
(scrreprt)              \float@addtolist interface has been
(scrreprt)              restricted to only some of the KOMA-Script
(scrreprt)              features and been removed from others.
(scrreprt)              Loading of package `scrhack' may help to
(scrreprt)              avoid this warning, if you are using a
(scrreprt)              a package that still implements the
(scrreprt)              deprecated \float@addtolist interface .

)

Gast

Beitrag von Gast »

Dann weißt du ja jetzt Bescheid. Ohne Minimalbeispiel können wir dir jedenfalls auch nicht mehr sagen und raten als die Warnung.

Antworten